package com.diagbot.facade;

import com.diagbot.dto.QcCasesEntryHospitalDTO;
import com.diagbot.service.QcCasesEntryHospitalService;
import com.diagbot.service.impl.QcCasesEntryHospitalServiceImpl;
import com.diagbot.vo.QcCasesEntryHospitalVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-04-13 16:23
 */
@Component
public class QcCasesEntryHospitalFacade extends QcCasesEntryHospitalServiceImpl {
    @Autowired
    QcCasesEntryHospitalService qcCasesEntryHospitalService;

    /**
     *
     * @param qcCasesEntryHospitalVO
     * @return
     */
    public List<QcCasesEntryHospitalDTO> QcCasesEntryHospitals(QcCasesEntryHospitalVO qcCasesEntryHospitalVO) {
        List<QcCasesEntryHospitalDTO> data = qcCasesEntryHospitalService.getQcCasesEntryAlls(qcCasesEntryHospitalVO);
        return data;
    }
}
